Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class ResourceSelectionUtil

    java.lang.Object
      org.eclipse.ui.views.navigator.ResourceSelectionUtil

public class ResourceSelectionUtil
extends Object

Provides utilities for checking the validity of selections.

This class provides static methods only; it is not intended to be instantiated or subclassed.

Since:
  2.0

Method Summary
`static IStructuredSelection` | `allResources(IStructuredSelection selection, int resourceMask)` Returns the selection adapted to IResource.
`static boolean` | `allResourcesAreOfType(IStructuredSelection selection, int resourceMask)` Returns whether the types of the resources in the given selection are among the specified resource types.
`static boolean` | `resourceIsType(IResource resource, int resourceMask)` Returns whether the type of the given resource is among the specified resource types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### allResourcesAreOfType

    public static boolean allResourcesAreOfType(IStructuredSelection selection,
                                                int resourceMask)

  Returns whether the types of the resources in the given selection are among the specified resource types.

  Parameters:
    `selection` - the selection
    `resourceMask` - resource mask formed by bitwise OR of resource type constants (defined on `IResource`)
  Returns:
    `true` if all selected elements are resources of the right type, and `false` if at least one element is either a resource of some other type or a non-resource
  See Also:
    `IResource.getType()`

### allResources

    public static IStructuredSelection allResources(IStructuredSelection selection,
                                                    int resourceMask)

  Returns the selection adapted to IResource. Returns null if any of the entries are not adaptable.

  Parameters:
    `selection` - the selection
    `resourceMask` - resource mask formed by bitwise OR of resource type constants (defined on `IResource`)
  Returns:
    IStructuredSelection or null if any of the entries are not adaptable.
  See Also:
    `IResource.getType()`

### resourceIsType

    public static boolean resourceIsType(IResource resource,
                                         int resourceMask)

  Returns whether the type of the given resource is among the specified resource types.

  Parameters:
    `resource` - the resource
    `resourceMask` - resource mask formed by bitwise OR of resource type constants (defined on `IResource`)
  Returns:
    `true` if the resources has a matching type, and `false` otherwise
  See Also:
    `IResource.getType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.